Bug 1460757 - Review Request: python-json-logger - A python library adding a json log formatter
Review Request: python-json-logger - A python library adding a json log forma...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alfredo Moralejo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-PIKE
  Show dependency treegraph
 
Reported: 2017-06-12 11:54 EDT by Haïkel Guémar
Modified: 2017-08-03 16:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 16:09:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amoralej: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Haïkel Guémar 2017-06-12 11:54:05 EDT
Spec URL: https://hguemar.fedorapeople.org/reviews/python-json-logger.json
SRPM URL: https://hguemar.fedorapeople.org/reviews/python-json-logger-0.1.7-1.fc26.src.rpm
Description: A python library adding a json log formatter
Fedora Account System Username: hguemar
Comment 1 Haïkel Guémar 2017-06-12 11:55:54 EDT
A dependency to python-daiquiri.
Comment 3 Alfredo Moralejo 2017-07-25 03:55:20 EDT
Until https://github.com/madzak/python-json-logger/pull/49 is merged and given that the LICENSE file is in the repo but not in the tarball, we may copy it as an additional source file and include in python{2,3} packages?
Comment 4 Alfredo Moralejo 2017-07-25 04:03:51 EDT
(In reply to Alfredo Moralejo from comment #3)
> Until https://github.com/madzak/python-json-logger/pull/49 is merged and
> given that the LICENSE file is in the repo but not in the tarball, we may
> copy it as an additional source file and include in python{2,3} packages?

The text in fedora review seems clear:

 If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

As it's not in the source package, let's leave it as-is.
Comment 5 Alfredo Moralejo 2017-07-25 04:08:36 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* BSD (unspecified)". 6
     files have unknown license. Detailed output of licensecheck in /tmp
     /rdo-infra-playbooks/1460757-python-json-logger/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -json-logger , python3-json-logger
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-json-logger-0.1.7-1.fc25.noarch.rpm
          python3-json-logger-0.1.7-1.fc25.noarch.rpm
          python-json-logger-0.1.7-1.fc25.src.rpm
python2-json-logger.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python2-json-logger.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python2-json-logger.noarch: W: no-documentation
python3-json-logger.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python3-json-logger.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python3-json-logger.noarch: W: no-documentation
python-json-logger.src: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python-json-logger.src: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python-json-logger.src:63: W: macro-in-comment %check
python-json-logger.src:64: W: macro-in-comment %{__python2}
python-json-logger.src:66: W: macro-in-comment %{__python3}
python-json-logger.src:67: W: macro-in-comment %endif
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
python3-json-logger.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python3-json-logger.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python3-json-logger.noarch: W: no-documentation
python2-json-logger.noarch: W: spelling-error Summary(en_US) formatter -> formatted, for matter, for-matter
python2-json-logger.noarch: W: spelling-error %description -l en_US formatter -> formatted, for matter, for-matter
python2-json-logger.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
python3-json-logger (rpmlib, GLIBC filtered):
    python(abi)
    python3-setuptools

python2-json-logger (rpmlib, GLIBC filtered):
    python(abi)
    python-setuptools



Provides
--------
python3-json-logger:
    python3-json-logger
    python3.5dist(python-json-logger)
    python3dist(python-json-logger)

python2-json-logger:
    python-json-logger
    python2-json-logger
    python2.7dist(python-json-logger)
    python2dist(python-json-logger)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/p/python-json-logger/python-json-logger-0.1.7.tar.gz :
  CHECKSUM(SHA256) this package     : aeee3edcf155e1d8bf2fb11330b7cc24b2a9488607d8a96ff7dd7db0a002b4d3
  CHECKSUM(SHA256) upstream package : aeee3edcf155e1d8bf2fb11330b7cc24b2a9488607d8a96ff7dd7db0a002b4d3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1460757 -m fedora-25-x86_64
Buildroot used: fedora-25-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Some comments:

- License file is not included in source package file. It has been requested upstream to include it in https://github.com/madzak/python-json-logger/issues/50

- Unit test files are not included in source package files so unit tests can't be run in %check. It has been requested upstream to include it in  https://github.com/madzak/python-json-logger/issues/50

Package is APPROVED
Comment 6 Gwyn Ciesla 2017-08-02 13:26:26 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-json-logger
Comment 7 Haïkel Guémar 2017-08-02 13:59:19 EDT
Thanks, if license file is not included in tarball, it is recommended not to copy it.

Note You need to log in before you can comment on or make changes to this bug.